Name:          libfribidi
Version:       0.19.7
Release:       1mamba
Summary:       A Free Implementation of the Unicode Bidirectional Algorithm
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://fribidi.sourceforge.net/
Source:        http://fribidi.org/download/fribidi-%{version}.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Bidi is a free implementation of the Unicode BiDi algorithm.
One of the missing links stopping the penetration of free software in Middle East is the lack of support for the Arabic and Hebrew alphabets. 
In order to have proper Arabic and Hebrew support, the BiDi algorithm should have been implemented.
It is our hope that this library will stimulate more free software in the Middle Eastern countries.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and header for fribidi
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
FriBidi is a free implementation of the Unicode BiDi algorithm.
One of the missing links stopping the penetration of free software in Middle East is the lack of support for the Arabic and Hebrew alphabets. 
In order to have proper Arabic and Hebrew support, the BiDi algorithm should have been implemented.
It is our hope that this library will stimulate more free software in the Middle Eastern countries.

This package contains static libraries and header files need for development.

%prep
%setup -q -n fribidi-%{version}

%build
%configure --enable-shared --disable-static 
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.*
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO

%files devel
%defattr(-,root,root)
#%{_bindir}/fribidi-config
%{_libdir}/libfribidi.la
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/fribidi.pc
%{_includedir}/fribidi/
%{_mandir}/man3/fribidi_*

%changelog
* Sat Aug 08 2015 Automatic Build System <autodist@mambasoft.it> 0.19.7-1mamba
- automatic version update by autodist

* Sat Jan 11 2014 Automatic Build System <autodist@mambasoft.it> 0.19.6-1mamba
- automatic version update by autodist

* Mon Dec 24 2012 Automatic Build System <autodist@mambasoft.it> 0.19.5-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 0.19.4-1mamba
- update to 0.19.4

* Thu Dec 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.2-2mamba
- rebuilt to add pkgconfig provide

* Thu Apr 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.2-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.1-1mamba
- automatic update by autodist

* Wed Jun 06 2007 Aleph0 <aleph0@openmamba.org> 0.10.8-1mamba
- update to 0.10.8
- do not build the static library
- run ldconfig to update linker cache

* Thu May 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.4-2qilnx
- rebuilt with gcc 3.4
- spedfile updates

* Wed Mar 10 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.4-1qilnx
- first build
